<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Berita</title>
	</head>
	<body>
		<div class="mx-auto max-w-screen-xl px-4 py-8" th:fragment="berita">
			<div class="mb-6 space-y-2 text-center">
				<p class="text-3xl font-bold text-on-surface-higher md:text-4xl">
					Berita <span class="text-orange-500">STMIK Tazkia</span>
				</p>
				<p class="text-on-surface-lower">Ikuti update berita informasi seputar STMIK Tazkia</p>
			</div>
			<div class="swiper mySwiper relative mx-auto w-full overflow-hidden pb-14">
				<div class="swiper-wrapper relative box-content flex h-full w-full transition-transform duration-300">
					<a
						th:each="news : ${newsList}"
						th:href="@{/news/{slug} (slug = ${news.slug})}"
						class="swiper-slide relative flex-shrink-0 overflow-hidden rounded-default bg-surface-container-higher hover:bg-surface-container-highest"
					>
						<img class="aspect-[1/1.3] object-cover" th:src="${news.thumbnail}" alt="image" />
						<div
							class="absolute left-0 top-0 z-10 flex h-full w-full flex-col justify-end bg-gradient-to-t from-black to-white/10 p-4 text-white/80 hover:from-primary"
						>
							<p th:text="${news.title}" class="line-clamp-2">zczv</p>
							<p class="mt-2 flex items-center gap-2 text-sm">
								<svg
									xmlns="http://www.w3.org/2000/svg"
									fill="none"
									viewBox="0 0 24 24"
									stroke-width="1.5"
									stroke="currentColor"
									class="size-5"
								>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="M6.75 3v2.25M17.25 3v2.25M3 18.75V7.5a2.25 2.25 0 0 1 2.25-2.25h13.5A2.25 2.25 0 0 1 21 7.5v11.25m-18 0A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75m-18 0v-7.5A2.25 2.25 0 0 1 5.25 9h13.5A2.25 2.25 0 0 1 21 11.25v7.5m-9-6h.008v.008H12v-.008ZM12 15h.008v.008H12V15Zm0 2.25h.008v.008H12v-.008ZM9.75 15h.008v.008H9.75V15Zm0 2.25h.008v.008H9.75v-.008ZM7.5 15h.008v.008H7.5V15Zm0 2.25h.008v.008H7.5v-.008Zm6.75-4.5h.008v.008h-.008v-.008Zm0 2.25h.008v.008h-.008V15Zm0 2.25h.008v.008h-.008v-.008Zm2.25-4.5h.008v.008H16.5v-.008Zm0 2.25h.008v.008H16.5V15Z"
									/>
								</svg>
								<span th:text="${#temporals.format(news.publishDate, 'dd MMMM yyyy')}">date</span>
							</p>
						</div>
					</a>
				</div>
				<div class="absolute bottom-0 right-0 mt-2 flex items-center justify-end gap-2">
					<button
						class="swiper-button-prev hover:bg-surface-container-higher-highest flex items-center justify-center rounded-full bg-surface-container-higher p-2 text-on-surface transition-all duration-300 disabled:text-on-surface-lower/40 disabled:hover:bg-surface-container-higher"
					>
						<svg
							class="h-5 w-5"
							xmlns="http://www.w3.org/2000/svg"
							width="16"
							height="16"
							viewBox="0 0 16 16"
							fill="none"
						>
							<path
								d="M10.0002 11.9999L6 7.99971L10.0025 3.99719"
								stroke="currentColor"
								stroke-width="1.6"
								stroke-linecap="round"
								stroke-linejoin="round"
							/>
						</svg>
					</button>
					<button
						class="swiper-button-next hover:bg-surface-container-higher-highest flex items-center justify-center rounded-full bg-surface-container-higher p-2 text-on-surface transition-all duration-300 disabled:text-on-surface-lower/40 disabled:hover:bg-surface-container-higher"
					>
						<svg
							class="h-5 w-5"
							xmlns="http://www.w3.org/2000/svg"
							width="16"
							height="16"
							viewBox="0 0 16 16"
							fill="none"
						>
							<path
								d="M5.99984 4.00012L10 8.00029L5.99748 12.0028"
								stroke="currentColor"
								stroke-width="1.6"
								stroke-linecap="round"
								stroke-linejoin="round"
							/>
						</svg>
					</button>
				</div>
			</div>
		</div>
	</body>
</html>
